TSHY(1)

NAME
tshy - Hybrid (CommonJS/ESM) TypeScript node package builder

SYNOPSIS
tshy [--watch] [--help]

DESCRIPTION

tshy is a command-line utility that analyzes JavaScript modules and produces corresponding ESM and CommonJS build target. / Source must be in /src Builds are in ./dist/commonjs for CommonJS and ./dist/esm for ESM.

OPTIONS

--watch
    Enable watch mode. tshy monitors the source directory for changes and automatically rebuilds the CommonJS and ESM outputs when files are modified.

--help
    Display usage information and a summary of available options.

SEE ALSO
tsc(1), nodejs(1),

AUTHOR
Written and maintained by the Debian Javascript team.